Subject: Re: [PATCH] Make the output of "git svn clone" less confusing.

From: Eric Wong <[email-masked]>
Date: Thu, 18 Oct 2007 10:14:43 -0700

David Kågedal <[email-masked]> wrote:
> Eric Wong <[email-masked]> writes:
> 
> > "Shawn O. Pearce" <[email-masked]> wrote:
> >> David Kågedal <[email-masked]> wrote:
> >> > The problem is that the first thing it prints is
> >> > 
> >> >   Initialized empty Git repository in .git/
> >> > 
> >> > even if actually created a subdirectory and changed into it first. But to the
> >> > user, it looks like it is creating a .git/ dir in the directory he/she is
> >> > started git from.
> >> 
> >> Eric, ack/nack?
> >
> > Nack, here's (hopefully) a better patch.
> >
> > David: agree/disagree?
> 
> I don't really like this. Now you added a dependency on exactly how
> git-init-db will format its output.  So if e.g. it is updated to use
> the absolute path your patch will create bogus output.

Yes, it's quite ugly :/   I think the best solution would be to fix all
GIT_DIR= setting issues and getting git-svn to always respect it for
init/clone/fetch (and tests, of course!).  I probably won't get around
to doing any of this until Friday night or Saturday (PST), however...

Shawn: feel free to ignore this series for now

> Did you consider my suggestion of not doing the chdir befor running
> git-init-db?

That would likely break clone, and also this (from my message
under the commit message).

>  I've actually just noticed that setting GIT_DIR= before running
>  git-svn clone is very broken, and I probably won't get a chance
>  to fix it for at least 24 hours (if I'm even awake)...

-- 
Eric Wong